Package org.springframework.jdbc.datasource.init

# Class ScriptStatementFailedException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.core.NestedRuntimeException
org.springframework.dao.DataAccessException
org.springframework.jdbc.datasource.init.ScriptException
org.springframework.jdbc.datasource.init.ScriptStatementFailedException

All Implemented Interfaces:
  `Serializable`

public class ScriptStatementFailedException extends ScriptException
Thrown by `ScriptUtils` if a statement in an SQL script failed when executing it against the target database.

Since:
  3.0.5
Author:
  Juergen Hoeller, Sam Brannen
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ScriptStatementFailedException(String stmt, int stmtNumber, org.springframework.core.io.support.EncodedResource encodedResource, Throwable cause)`
Construct a new `ScriptStatementFailedException`.

## Method Summary

Modifier and Type
Method
Description
`static String`
`buildErrorMessage(String stmt, int stmtNumber, org.springframework.core.io.support.EncodedResource encodedResource)`
Build an error message for an SQL script execution failure, based on the supplied arguments.

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ScriptStatementFailedException

public ScriptStatementFailedException(String stmt, int stmtNumber, org.springframework.core.io.support.EncodedResource encodedResource, Throwable cause)
Construct a new `ScriptStatementFailedException`.

Parameters:
  `stmt` - the actual SQL statement that failed
  `stmtNumber` - the statement number in the SQL script (i.e., the nth statement present in the resource)
  `encodedResource` - the resource from which the SQL statement was read
  `cause` - the underlying cause of the failure

## Method Details

### buildErrorMessage

public static String buildErrorMessage(String stmt, int stmtNumber, org.springframework.core.io.support.EncodedResource encodedResource)
Build an error message for an SQL script execution failure, based on the supplied arguments.

Parameters:
  `stmt` - the actual SQL statement that failed
  `stmtNumber` - the statement number in the SQL script (i.e., the nth statement present in the resource)
  `encodedResource` - the resource from which the SQL statement was read
Returns:
  an error message suitable for an exception's detail message or logging
Since:
  4.2